summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dugan Chen2011-07-04 01:34:25 +0200
committer Niels Horn2011-07-04 01:34:25 +0200
commit356d355af601bdf82b3da6268c005e0bc5f5b974 (patch)
tree19b4947c26ad9724662449f88666aa2ad9a1a9b0 /games
parentb31fbb245b85938f49fff0e9a257274825f7e75a (diff)
downloadslackbuilds-356d355af601bdf82b3da6268c005e0bc5f5b974.tar.gz
games/gargoyle: Added (interactive fiction interpreter)
Diffstat (limited to 'games')
-rw-r--r--games/gargoyle/README10
-rw-r--r--games/gargoyle/doinst.sh14
-rw-r--r--games/gargoyle/gargoyle.SlackBuild102
-rw-r--r--games/gargoyle/gargoyle.info10
-rw-r--r--games/gargoyle/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/games/gargoyle/README b/games/gargoyle/README
new file mode 100644
index 0000000000..9889bb6c40
--- /dev/null
+++ b/games/gargoyle/README
@@ -0,0 +1,10 @@
+The Gargoyle interactive fiction interpreter.
+
+Supports most formats.
+
+If you have both smpeg SDL_sound installed, then you can build Gargoyle
+with audio support. Pass SOUND=yes to the script.
+
+Once you have it installed, configure it by editing /etc/garglk.ini
+
+This requires jam.
diff --git a/games/gargoyle/doinst.sh b/games/gargoyle/doinst.sh
new file mode 100644
index 0000000000..94e2207419
--- /dev/null
+++ b/games/gargoyle/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/garglk.ini.new
diff --git a/games/gargoyle/gargoyle.SlackBuild b/games/gargoyle/gargoyle.SlackBuild
new file mode 100644
index 0000000000..273357697f
--- /dev/null
+++ b/games/gargoyle/gargoyle.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for gargoyle
+
+# Written by Dugan Chen (dugan_c@fastmail.fm)
+
+PRGNAM=gargoyle
+VERSION=${VERSION:-2010.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Set this to yes if you want sound support and have the following
+# installed:
+# * smpeg
+# # SDL_sound
+SOUND=${SOUND:-no}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-sources.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ $SOUND = "no" ]
+then
+ sed -i 's/USESDL\s=/#USESDL =/' Jamrules
+fi
+
+jam -s DESTDIR=$PKG \
+ -s _BINDIR=/usr/libexec/gargoyle \
+ -s _APPDIR=/usr/libexec/gargoyle \
+ -s _LIBDIR=/usr/lib$LIBDIRSUFFIX/gargoyle \
+ -s CCFLAGS="$SLKCFLAGS" \
+ -dx \
+ install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+
+( ln -sf ../libexec/gargoyle/gargoyle . )
+
+cd $PKG/usr/lib$LIBDIRSUFFIX
+
+( ln -sf ./gargoyle/libgarglk.so . )
+
+cd $TMP/$PRGNAM-$VERSION
+
+mkdir -p $PKG/etc
+cp garglk/garglk.ini $PKG/etc/garglk.ini.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gargoyle/gargoyle.info b/games/gargoyle/gargoyle.info
new file mode 100644
index 0000000000..d81b638f8d
--- /dev/null
+++ b/games/gargoyle/gargoyle.info
@@ -0,0 +1,10 @@
+PRGNAM="gargoyle"
+VERSION="2010.1"
+HOMEPAGE="http://ccxvii.net/gargoyle/"
+DOWNLOAD="http://garglk.googlecode.com/files/gargoyle-2010.1-sources.zip"
+MD5SUM="5b1b3a79b7c1a5ad2c85bef9717de088"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
+APPROVED="Niels Horn"
diff --git a/games/gargoyle/slack-desc b/games/gargoyle/slack-desc
new file mode 100644
index 0000000000..3f2be98d69
--- /dev/null
+++ b/games/gargoyle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gargoyle: gargoyle (interactive fiction interpreter)
+gargoyle:
+gargoyle: Gargoyle is an IF player that supports all the major interactive
+gargoyle: fiction formats:
+gargoyle:
+gargoyle: Agility, Alan 2 and 3, Frotz (glk port), Glulxe, Hugo, Level 9,
+gargoyle: Magnetic, Scare, Tads 2 and 3.
+gargoyle:
+gargoyle:
+gargoyle: http://ccxvii.net/gargoyle/
+gargoyle: